> For the complete documentation index, see [llms.txt](https://developer.emporix.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.emporix.io/changelog/archive/changelog-2025/2025-03-07-order.md).

# 2025-03-07: Order Service - calculated prices

## Overview

The Order Service has transitioned to using new calculated price attributes at both order and entry levels. The following changes have been implemented:

* New mandatory attributes: `calculatedPrice` (order level), `calculatedPrice` and `calculatedUnitPrice` (entry level).
* Previously used price attributes (`totalPrice`, `unitPrice`) are now marked as deprecated and optional.
* Backward compatibility is maintained - the API will continue to work if deprecated price attributes are provided without the new calculated price attributes.

These changes streamline price handling while ensuring existing integrations continue to function without disruption.

## Updated endpoints

| Endpoint                                                                                                                                                                          | Description                                                                                     |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------- |
| [Creating a new order (tenant-managed)](https://developer.emporix.io/api-references/api-guides/orders/order/api-reference/orders-tenant-managed#post-order-v2-tenant-salesorders) | Order level `calculatedPrice` marked as mandatory and `totalPrice` marked as optional.          |
| [Creating a new order (tenant-managed)](https://developer.emporix.io/api-references/api-guides/orders/order/api-reference/orders-tenant-managed#post-order-v2-tenant-salesorders) | Order entry level `calculatedPrice` marked as mandatory and `totalPrice` marked as optional.    |
| [Creating a new order (tenant-managed)](https://developer.emporix.io/api-references/api-guides/orders/order/api-reference/orders-tenant-managed#post-order-v2-tenant-salesorders) | Order entry level `calculatedUnitPrice` marked as mandatory and `unitPrice` marked as optional. |
| [Creating a new order (customer-managed)](https://developer.emporix.io/api-references/api-guides/orders/order/api-reference/orders-customer-managed#post-order-v2-tenant-orders)  | Order level `calculatedPrice` marked as mandatory and `totalPrice` marked as optional.          |
| [Creating a new order (customer-managed)](https://developer.emporix.io/api-references/api-guides/orders/order/api-reference/orders-customer-managed#post-order-v2-tenant-orders)  | Order entry level `calculatedPrice` marked as mandatory and `totalPrice` marked as optional.    |
| [Creating a new order (customer-managed)](https://developer.emporix.io/api-references/api-guides/orders/order/api-reference/orders-customer-managed#post-order-v2-tenant-orders)  | Order entry level `calculatedUnitPrice` marked as mandatory and `unitPrice` marked as optional. |

## Known problems

There are no known problems.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.emporix.io/changelog/archive/changelog-2025/2025-03-07-order.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
